Subject: bug#26589: Can't built Emacs from source (both master and 25.1 from tarball fail)

From: Cadadr <[email-masked]>
Date: Fri, 21 Apr 2017 08:20:47 -0400

I'm unable to build Emacs on my Xubuntu 16.10 machine from various versions. Not having a built Emacs handy, I have to send this bug report from a webmail client, so please excuse formatting issues and not using M-x report-emacs-bug.

- The 25.1 tarball

My build configuration

./configure \
--prefix=$HOME/local \
--with-x-toolkit=gtk3 \
--with-modules \
--with-file-notification=yes

Then I run make. Have also tried make bootstrap, with identical results.

Build fails with the following error:

Dumping under the name emacs
Makefile:736: recipe for target 'bootstrap-emacs' failed
make[1]: *** [bootstrap-emacs] Segmentation fault (core dumped)
make[1]: Leaving directory '/tmp/build-emacs/emacs-25.1/src'
Makefile:398: recipe for target 'src' failed
make: *** [src] Error 2

This is fixed with running make as "make CANNOT_DUMP=yes". Then I'm blocked by the following error:

Converting /tmp/build-emacs/emacs-25.1/leim/CXTERM-DIC/CCDOSPY.tit to quail-package...
TIT dictionary doesn’t have body part
Makefile:106: recipe for target '../lisp/leim/quail/CCDOSPY.el' failed
make[2]: *** [../lisp/leim/quail/CCDOSPY.el] Error 255
make[2]: Leaving directory '/tmp/build-emacs/emacs-25.1/leim'
Makefile:490: recipe for target '../lisp/leim/leim-list.el' failed
make[1]: *** [../lisp/leim/leim-list.el] Error 2
make[1]: Leaving directory '/tmp/build-emacs/emacs-25.1/src'
Makefile:398: recipe for target 'src' failed
make: *** [src] Error 2

This is from a pristine copy of 25.1 from the tarball. I used to run a 25.1 build of mine with identical build flags on my Xubuntu 16.04, but after an update that broke a dynamic link to a library (png), I had to rebuild, and now I don't have any working emacs builds that I can use with my configuration.

- Building master fails

Here, building with following configuration, I encounter an error similar or identical to the second problem from 25.1 tarball. I've fetched a fresh copy from Savannah git repo today.

./configure \
--prefix=$HOME/local \
--with-x-toolkit=gtk3 \
--with-modules \
--with-file-notification=yes \
--with-mailutils

When I run make I get the following error:

make[3]: Entering directory '/igk/checkouts/GNU-Emacs/leim'
GEN ../lisp/leim/quail/CCDOSPY.el
Converting /igk/checkouts/GNU-Emacs/leim/CXTERM-DIC/CCDOSPY.tit to quail-package...
Loading macroexp.elc...
TIT dictionary doesn’t have body part
Makefile:106: recipe for target '../lisp/leim/quail/CCDOSPY.el' failed
make[3]: *** [../lisp/leim/quail/CCDOSPY.el] Error 255
make[3]: Leaving directory '/igk/checkouts/GNU-Emacs/leim'
Makefile:355: recipe for target 'leim' failed
make[2]: *** [leim] Error 2
make[2]: Leaving directory '/igk/checkouts/GNU-Emacs/lisp'
Makefile:734: recipe for target '../lisp/loaddefs.el' failed
make[1]: *** [../lisp/loaddefs.el] Error 2
make[1]: Leaving directory '/igk/checkouts/GNU-Emacs/src'
Makefile:416: recipe for target 'src' failed
make: *** [src] Error 2

I've tried make bootstrap to no better effect. This second problem I've reported it recently on help-gnu-emacs [1], and Eli Zaretskii has adviced me to report here. I'm unable to post from my usual email address because the only interface I used to use was Gnus, to which I don't have access ATM.

Thanks,
-gk.

[1] http://lists.gnu.org/archive/html/help-gnu-emacs/2017-04/msg00117.html

--